<?php
/*
	Plugin Name: CCF Option Sort
	Plugin URI: http://www.technorealism.com/category/wordpress-plugins/
	Description: The must have plug-in for Custom Contact Forms, sort options for a field, dropdown, radio, via drag and drop.
	Version: 4.7.0.2
	Author: TechnoRealism, LLC.
	Author URI: http://www.technorealism.com
*/

add_action('admin_menu', array('ccf_optionsort', 'initAdmin'), 11);

if (!class_exists('ccf_optionsort')) {
	class ccf_optionsort {
	
static function initAdmin() {  
	add_action('admin_print_styles', array(__CLASS__, 'insertAdminStyles'), 1);
	add_action('admin_enqueue_scripts', array(__CLASS__, 'insertAdminScripts'), 1);


    //Add sub menu to CCF main menu.
  add_submenu_page('custom-contact-forms','Sort Field Options', 'Sort Field Options', 'manage_options', 'ccf_optionsort',  array(__CLASS__, 'printFieldSortPage'));				  
}
	

function insertAdminStyles() {  
	wp_register_style('ccf-optionsort', plugins_url() . '/ccf_optionsort/css/ccf_optionsort.css');
	wp_enqueue_style('ccf-optionsort');
}

function insertAdminScripts() {
  wp_enqueue_script('jquery');
  wp_enqueue_script('jquery-ui-core');
  wp_enqueue_script('jquery-ui-sortable');
  wp_register_script('ccf-optionsort-js', plugins_url() . '/ccf_optionsort/js/ccf_optionsort.js', array('jquery', 'jquery-ui-core', 'jquery-ui-sortable'));
  wp_enqueue_script('ccf-optionsort-js');
}
		
function printFieldSortPage(){
  global $wpdb;
  if($_POST['active_fields']) {
    $message = '';
    $active_fields = explode(',',$_POST['active_fields']);
    foreach($active_fields as $id) {
      $sql = "UPDATE ".CCF_FIELDS_TABLE." SET field_options = '".serialize(explode(',', $_POST[$id]))."' WHERE field_slug = '".$id."'";
      $message = $message."Updated Option Order: ".$id."<br/>";
      $wpdb->query($sql);	    
    }
  }
	
//get all fields, filters below for Dropdowns and Radios    
$fields = CustomContactFormsDB::selectAllFields();
    
if (!empty($message)) { ?>
  <div id="message" class="updated below-h2">
  <p><?php echo $message; ?></p>
  </div>
<?php } ?>
<h3 class="hndle"><span>Drop Downs and Radios</span></h3>
<form class="ccf-edit-ajax" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
<table class="widefat post" id="form-submissions-table" cellspacing="0">
<thead>
  <tr>
	<th scope="col" class="manage-column ccf-width250">Field Slug</th>
	<th scope="col" class="manage-column ccf-width150">Options</th>
  </tr>
</thead>
<tbody>
<?php
$active_fields = array();
$i = 0;
foreach ($fields as $field) {
  if (($field->field_type == 'Dropdown' || $field->field_type == 'Radio') && $field->user_field == 1 ){
    ?><tr class="row-form_submission-<?php echo $data_object->id; ?> submission-top <?php if ($i % 2 == 0) echo 'ccf-evenrow'; ?>">
    <td><?php
    $active_fields[] = $field->field_slug;
    echo $field->field_label;
    $options = unserialize($field->field_options);
    ?></td>
    <td>
    <ul class="sortable" id="<?php echo $field->field_slug;?>"><?php 
       foreach ($options as $option){?>  
    	<li class="ui-state-default" id="<?php echo $option;?>"><?php 
      $option_meta = CustomContactFormsDB::selectFieldOption($option);
      echo $option_meta->option_label;?></li>
      <?php }?>
    </ul><input type="hidden" value="<?php echo implode(',',$options);?>" name="<?php echo $field->field_slug;?>" id="input_<?php echo $field->field_slug;?>"></td><?php 
		$i++;
    }
  }
  echo "</tr></tbody></table><input type='submit' value='Save Changes' name='Submit'><input type='hidden' value='".implode(',',$active_fields)."' name='active_fields'></form>";
}
}
}